Bug 1857650 - [oVirt] incorrect template removal condition
Summary: [oVirt] incorrect template removal condition
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Gal Zaidman
QA Contact: Guilherme Santos
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-16 09:26 UTC by Gal Zaidman
Modified: 2020-10-27 16:15 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:15:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3894 0 None closed Bug 1857650: oVirt, fix incorrect template removal condition 2020-10-22 06:49:41 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:15:43 UTC

Description Gal Zaidman 2020-07-16 09:26:56 UTC
Description of problem:
On oVirt installer we have an incorrect template removal condition.
We need to remove the template only when the env variable OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE is not found and currently is is the other way around.
The expected flows:
OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE is present --> Template will not be removed and that is what we want because that is a template the installation didn't create
OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE is not present --> Template will be removed and that is what we want because that is a template the installation created

Comment 3 Guilherme Santos 2020-07-23 13:35:27 UTC
Verified on:
4.6.0-0.nightly-2020-07-22-074636

Steps:
1. with override of image:
  1.1. have an rhcos template on RHV and export it as env var: 
       # export OPENSHIFT_INSTALL_OS_IMAGE_OVERRIDE=rchos-template
  1.2. # openshift-install create cluster --log-level=debug --dir=resources
  1.3. # openshift-install destroy cluster --log-level=debug --dir=resources

2. without override of image:
  2.1. # openshift-install create cluster --log-level=debug --dir=resources
  2.2. # openshift-install destroy cluster --log-level=debug --dir=resources


Results:
on scenario 1. the used template didn't get deleted on destroy
on scenario 2. the created template did get deleted on destroy

Comment 5 errata-xmlrpc 2020-10-27 16:15:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.